### Function

# ECal util_get_default_name_and_address

since: 3.50

#### Declaration [src]

    gboolean
    e_cal_util_get_default_name_and_address (
      ESourceRegistry* registry,
      gchar** out_name,
      gchar** out_address
    )

#### Description [src]

Returns the real name and email address of the default mail identity, if available. If no default mail identity is available, `out_name` and `out_address` are set to `NULL` and the function returns `FALSE`.

Available since: 3.50

#### Parameters

`registry`

  Type: `ESourceRegistry`

  An `ESourceRegistry`.

  The data is owned by the caller of the function.

`out_name`

  Type: `gchar**`

  Return location for the user’s real name, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`out_address`

  Type: `gchar**`

  Return location for the user’s email address, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if `out_name` and/or `out_address` were set.